# How to extend a license subscription from a URL

You can extend a license subscription by invoking the *RenewSubscriptionHttp* method as follows:

<http://yourserver.com/qlm/qlmservice.asmx/RenewSubscriptionHttp?is\\_avkey=ABC-DEF-GHI\\&is\\_expduration=\\><duration>\&is\_expdate=\<yyyy-mm-dd>

You can set one and only one of the expiry arguments: is\_expdate or is\_expduration.

When setting the *is\_expdate* argument, the expiry date is absolute. The new expiry date will be set to the date you specified regardless of the previous value.

When setting the *is\_expduration* argument, the expiry date is incremental. The new expiry date will be set to the previous value plus the new duration.

**Examples:**

{% code overflow="wrap" %}

```http

https://qlm3.net/qlmdemo/qlmLicenseServer/qlmservice.asmx
/RenewSubscriptionHttp?is_avkey=BDHD0-X0K00-G5AK6-I8W4J-1Q1AKMAHN&is_expduration=90


https://qlm3.net/qlmdemo/qlmLicenseServer/qlmservice.asmx
/RenewSubscriptionHttp?is_avkey=BDHD0-X0K00-G5AK6-I8W4J-1Q1AKMAHN&is_expdate=2014-12-31

```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/how-to/how-to-extend-a-license-subscription-from-a-url.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
